rdexport
1
April 2016
Linux Audio Manual

# rdexport

Export audio from a Rivendell audio store
Fred
Gleason
fredg@paravelsystems.com
Application Author

          rdexport
          OPTIONS
          output-dir

## Description

`rdexport` 1 can be used to export audio from a Rivendell audio store.

## Options

`--allow-clobber`

  Overwrite a file if it already exists. If this option is not given, `rdexport` 1 will automatically append an integer string -- e.g. "[1]" -- to avoid such overwriting.

`--bitrate=`rate

  Specify the bitrate to use, in rate bits per second. Default value is the bitrate of the original audio, or 256000 bits/sec for PCM originals.

  This setting is meaningful only when used with the `MP2` or `MP3` formats.

`--carts=`start-cart:end-cart

  Specify a range of cart numbers to be exported, from start-cart to end-cart (both inclusive). This option may be given multiple times.

`--channels=`chans

  Specify the number of channels to use. Valid values are `1` or `2`. Default value is the channel count of the original audio.

`--continue-after-error`

  Continue processing exports even in the face of exporter errors on particular carts.

`--escape-string=`string

  Specify the string to use to replace illegal characters in output filenames. Illegal characters that will be so replaced are: `*`, `/`, `<`, `>`, `"`, `\`, `|` and `?`. Default value is `_`.

`--format=`format

  Specify the file and audio encoding format to be used. The following values for format are recognized:

  `FLAC`

    Free Lossless Audio Codec (.flac)

  `MP2`

    MPEG-1 Layer 2 (.mp2)

  `MP3`

    MPEG-1 Layer 3 (.mp3)

  `PCM16`

    PCM16 audio in a WAV file format (.wav)

  `PCM24`

    PCM24 audio in a WAV file format (.wav)

  `VORBIS`

    OggVorbis (.ogg)

  Default value is to use whatever format was used in the audio store.

`--group=`group-name

  Specify a group to be exported. This option may be given multiple times.

`--metadata-pattern=`pattern

  Specify a pattern to define how output files should be named. Patterns consist of characters interspersed with zero or more wildcard characters as follows:

  `%a`

    Artist

  `%b`

    Record Label

  `%c`

    Client

  `%e`

    Agency

  `%g`

    Rivendell group name

  `%h`

    Event length in milliseconds

  `%i`

    Cut Description

  `%j`

    Cut Number

  `%l`

    Album

  `%m`

    Composer

  `%n`

    Cart Number

  `%o`

    Outcue

  `%p`

    Publisher

  `%r`

    Conductor

  `%s`

    Song ID

  `%t`

    Title

  `%u`

    User Defined

  `%y`

    Release Year

Default value is `%n_%j`.

`--quality=`qual

  Specify the quality level to use, in the range `-1` through `10`, inclusive. Default value is `3`.

  This setting is meaningful only when used with the `VORBIS` format.

`--samplerate=`rate

  Specify the sample rate to use, in rate samples per second. Default value is the sample rate of the original audio.

`--title=`title

  Export all carts with a title of title. This option may be given multiple times.

`--xml`

  Generate an XML file for each generated audio file containing its cart/cut metadata.

## See Also

rdconvert 1 `,` rdimport 1 `,` rdmarkerset 8